# ******************************************************************************
# * Makefile.hpux   : This is the platform specific Makefile for HPUX.
# *
# * Externals       : This Makefile relies on the developer defining the 
# *                   following external definitions...
# *
# *                   CDEV      : The base directory of the CDEV distribution
# ******************************************************************************
TARGET          = aix
OS_MAJOR       := $(shell uname -v)
OS_MAJOR_NUM   := $(shell awk 'BEGIN {VAL=$(OS_MAJOR); print VAL; exit; }')
OS_MINOR       := $(shell uname -r)
OS_MINOR_NUM   := $(shell awk 'BEGIN {VAL=$(OS_MINOR); print VAL; exit; }')
OS_VERSION_DEF := -D_OS_MAJOR_=$(OS_MAJOR_NUM) -D_OS_MINOR_=$(OS_MINOR_NUM)

include $(CDEV)/include/makeinclude/Makefile.common
include $(CDEV)/include/makeinclude/Makefile.archive

# ******************************************************************************
# * All CDEV and service libaries required by archived applications
# ******************************************************************************
CDEVLIBS = $(CDEVLIB)/libcdev.a $(ARCHIVELIBS)

# ******************************************************************************
# * Platform specific compile and link options.
# ******************************************************************************

# ******************************************************************************
# * Only define the DEBUGFLAG if DEBUG has been specified by the caller.
# ******************************************************************************
ifdef DEBUG
DEBUGFLAG     = -g
endif

CXX           = xlC
CC            = xlC
CXXFLAGS      = $(CXXEXTRA) $(CXXINCLUDES) $(CDEVINCLUDES) \
                $(BASEINCLUDES) $(OS_VERSION_DEF) $(DEBUGFLAG) -DAIX -qNOro
CFLAGS        = $(CCEXTRA) $(CXXINCLUDES) $(CDEVINCLUDES) \
                $(BASEINCLUDES) $(OS_VERSION_DEF) $(DEBUGFLAG) -DAIX -qNOro 
LDFLAGS       = 
AR            = ar
ARFLAGS       = ruv
RANLIB        = true
OSLIBS        = -L/lib -lm

# ******************************************************************************
# * Platform specific compile and link macros.
# ******************************************************************************
COMPILE.cc    = $(CXX) -c $(CXXFLAGS) $^ -o $@
COMPILE.cc.so = @echo "Shared objects not supported on AIX"
COMPILE.c     = $(CC) -c $(CFLAGS) $^ -o $@
COMPILE.c.so  = @echo "Shared objects not supported on AIX"
LINK.cc       = $(CXX) $(CXXFLAGS)
LINK.a        = $(AR)  $(ARFLAGS)
